Package org.nexusformat

# Class NexusException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.nexusformat.NexusException

All Implemented Interfaces:
  `Serializable`

public class NexusException extends Exception

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`NexusExceptionMessage`
`static final String`
`NeXusMessage`
`static final String`
`OutOfMemoryMessage`

## Constructor Summary

Constructors
Constructor
Description
`NexusException()`
`NexusException(int err)`
`NexusException(String s)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getMessage()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### OutOfMemoryMessage

public static final String OutOfMemoryMessage

See Also:
  - Constant Field Values

### NexusExceptionMessage

public static final String NexusExceptionMessage

See Also:
  - Constant Field Values

### NeXusMessage

public static final String NeXusMessage

See Also:
  - Constant Field Values

## Constructor Details

### NexusException

public NexusException()

### NexusException

public NexusException(String s)

### NexusException

public NexusException(int err)

## Method Details

### getMessage

public String getMessage()

Overrides:
  `getMessage` in class `Throwable`